# disable-c6-runit

A runit service for disabling the C6 power saving state on AMD Zen (Ryzen/Epyc)
processors upon boot. The C6 state is known for causing
[soft lock freezing behaviour](https://wiki.archlinux.org/title/Ryzen#Soft_lock_freezing)
on Linux.

## Dependencies

* [zenstates.py](https://github.com/r4m0n/ZenStates-Linux) installed in your
  PATH as `zenstates` (installing `zenstates-git` from the AUR will provide
  this)

## Installation

### Package Managers

#### Arch

This is on the AUR at `disable-c6-runit-git`. Either install it using your
favourite AUR helper, or install the package without a helper:

```
$ git clone https://aur.archlinux.org/disable-c6-runit-git.git
$ cd disable-c6-runit-git
$ makepkg -si
```

### Manual Installation

Clone the repo:

```
$ git clone --depth=1 https://codeberg.org/revsuine/disable-c6-runit.git
$ cd disable-c6-runit
```

Copy the `disable-c6/` folder to wherever you store your runit services, e.g.
for where Artix keeps their folders:

```
# cp -r disable-c6 /etc/runit/sv
```

For Void:

```
# cp -r disable-c6 /etc/sv
```

## Enabling the Service

Symlink the service directory to your enabled services directory as usual. This
varies by distro.

### Void Linux

```
# ln -s /etc/sv/disable-c6 /var/service
```

### Artix Linux

```
# ln -s /etc/runit/sv/disable-c6 /run/runit/service
```

### Debian

```
# ln -s /etc/runit/disable-c6 /etc/service
```

## Disabling the Service

Break the symlink:

```
# unlink /var/service/disable-c6
```

Or wherever your service directory is.

